package com.usky.demo.service.rocketmq;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.nacos.shaded.com.google.gson.JsonObject;
import com.usky.demo.service.rocketmq.SimpleContext;
import lombok.extern.slf4j.Slf4j;
import org.apache.rocketmq.spring.annotation.RocketMQMessageListener;
import org.apache.rocketmq.spring.core.RocketMQListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

@Slf4j
@Component
@RocketMQMessageListener(consumerGroup = "${rocketmq.consumer.group}", topic = "${rocketmq.consumer.topic}")
public class MyConsumer implements RocketMQListener<String> {
    @Autowired
    private SimpleContext simpleContext;

    @Override
    public void onMessage(String message){
        System.out.println("DirectReceiver消费者收到消息： " + message);
        simpleContext.disposeMessageToDB(message);
    }
}
